Skip to main content
GET
/
v3
/
alert-rules
/
summary
List of all alert rule summary in the given time_bucket_start and time_bucket_end
curl --request GET \
  --url https://{host}/v3/alert-rules/summary \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "PAGINATED",
  "data": {
    "page_size": 10,
    "item_count": 10,
    "total": 100,
    "page_count": 10,
    "page_index": 1,
    "offset": 0,
    "items": [
      {
        "alert_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "metric": {
          "id": "<string>",
          "display_name": "<string>"
        },
        "condition": "<string>",
        "alert_record_count": 123,
        "alert_value": 123,
        "latest_alert_record_value": 123,
        "latest_alert_time_bucket": 123,
        "latest_alert_feature_name": "<string>",
        "latest_alert_feature_id": "<string>",
        "organization": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "project": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "model": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "version": "<string>"
        },
        "baseline": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "is_fiddler_generated": true,
        "feature_names": [
          "<string>"
        ],
        "critical_threshold": 123,
        "warning_threshold": 123,
        "enable_notification": true,
        "compare_bin_delta": 123,
        "latest_threshold": 123,
        "segment": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition": "<string>"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "created_by": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "full_name": "<string>"
        },
        "updated_by": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "full_name": "<string>"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter
string

Allows you to filter by any field.

Allows you to search by any field.

ordering
string

Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields

limit
integer

Limit for the pagination

offset
integer

Offset for the pagination

start_time
string<date-time>
required

requested start time

end_time
string<date-time>
required

requested end time

Response

Summary of all alert rules in the given time_bucket_start and time_bucket_end

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object